OpenFSG

A forum where users help other users with troubleshooting their Freecom NAS device
It is currently Fri Aug 29, 2014 09:01

All times are UTC + 1 hour




Post new topic Reply to topic  [ 26 posts ]  Go to page 1, 2  Next
Author Message
PostPosted: Tue Sep 19, 2006 15:32 
Offline
Regular User
Regular User

Joined: Tue Jul 11, 2006 14:21
Posts: 22
Location: Sweden
I'm trying to install SlimServer and it's now failing at SQLite:
Code:
Downloading DBD-SQLite-1.08.tar.gz to: /home/public/slim/dist/download
Uncompressing..
Configuring..
PERL5LIB=/home/public/slim/dist/download/DBI-1.46/blib/lib:/home/public/slim/dist/download/DBI-1.46/blib/arch /usr/bin/perl Makefile.PL
Building..
In file included from /home/public/slim/dist/download/DBI-1.46/blib/arch/auto/DBI/DBIXS.h:31,
                 from SQLiteXS.h:9,
                 from SQLite.xs:3:
/home/public/slim/dist/download/DBI-1.46/blib/arch/auto/DBI/dbipport.h:227:1: warning: "PERL_UNUSED_DECL" redefined
In file included from /home/public/slim/dist/download/DBI-1.46/blib/arch/auto/DBI/DBIXS.h:19,
                 from SQLiteXS.h:9,
                 from SQLite.xs:3:
/opt/lib/perl5/5.8.8/armv5b-linux/CORE/perl.h:163:1: warning: this is the location of the previous definition
In file included from /home/public/slim/dist/download/DBI-1.46/blib/arch/auto/DBI/DBIXS.h:31,
                 from SQLiteXS.h:9,
                 from dbdimp.c:3:
/home/public/slim/dist/download/DBI-1.46/blib/arch/auto/DBI/dbipport.h:227:1: warning: "PERL_UNUSED_DECL" redefined
In file included from /home/public/slim/dist/download/DBI-1.46/blib/arch/auto/DBI/DBIXS.h:19,
                 from SQLiteXS.h:9,
                 from dbdimp.c:3:
/opt/lib/perl5/5.8.8/armv5b-linux/CORE/perl.h:163:1: warning: this is the location of the previous definition
vdbe.c: In function `sqlite3VdbeExec':
vdbe.c:4683: internal compiler error: Segmentation fault
Please submit a full bug report,
with preprocessed source if appropriate.
See <URL:http://gcc.gnu.org/bugs.html> for instructions.
make: *** [vdbe.o] Error 1
Couldn't find a valid dynamic library for DBD-SQLite-1.08.tar.gz - something is wrong. Exiting!


I've read about dynamic libraries, but never together with SQLite.
Some people have also reported about problems with SlimServer over at NSLU2, but I have not found anything about SQLite. I'm running firmware 3.3.9

Ideas anyone?


Top
 Profile  
 
 Post subject:
PostPosted: Tue Sep 19, 2006 16:29 
Offline
Regular User
Regular User

Joined: Tue Jul 11, 2006 14:21
Posts: 22
Location: Sweden
I just realized that the sqlite perl packages is availible as ipkg installs, so I installed those needed - but I'm still missing

XML::Parser::Expat
HTML::Parser
Digest::SHA1

Perhaps I could get those seperatly from CPAN somehow (didn't find any ipkg package called CPAN)...


Top
 Profile  
 
 Post subject:
PostPosted: Wed Sep 20, 2006 21:25 
Offline
Regular User
Regular User

Joined: Tue Jul 11, 2006 14:21
Posts: 22
Location: Sweden
blader_se wrote:
XML::Parser::Expat
HTML::Parser
Digest::SHA1


I just built those with the buildscript. I could now start slimserver and browse the music directory - but neither indexing the files or play them :cry:

Could anyone with a working SlimServer specify what version you have?

I've tried 3.6.1.


Top
 Profile  
 
 Post subject:
PostPosted: Thu Sep 21, 2006 12:09 
Slimserver needs some CPAN modules but for some reason they have to be downloaded from Slimdevices site - they may have mods or be older - this is part of the build-perl-modules routine. One of these modules is DBD-SQLIte which didn't compile on your system. My guess is your problem is that slimserver is finding the DBD-Sqlite it wants.

I think you need to run build-perl-modules again until you have NO compilation errors.

Not that it is any consolation but I am getting same segmentation error with the DBI modules. I found that it can compile without the -O2 (optimize) compiler option.


Top
  
 
 Post subject:
PostPosted: Thu Sep 21, 2006 13:51 
Offline
Regular User
Regular User

Joined: Tue Jul 11, 2006 14:21
Posts: 22
Location: Sweden
Thanks for the input.

I think that I will try and use MySQL insted (as described on the SlimServer wiki).


Top
 Profile  
 
 Post subject:
PostPosted: Fri Sep 29, 2006 23:50 
Offline
Expert
Expert

Joined: Thu Sep 21, 2006 11:48
Posts: 130
I have built a 6.3.1 with SQLite - you could try it out. It should be just a case of untarring and starting it. All non ARM support is removed.

http://homepage.eircom.net/~altondsl/sl ... arm.tar.gz


Top
 Profile  
 
 Post subject:
PostPosted: Sun Oct 01, 2006 13:20 
bpa wrote:
I have built a 6.3.1 with SQLite - you could try it out. It should be just a case of untarring and starting it. All non ARM support is removed.


THANKS!!! :D

I can now connect and listen to the music as well.

Cheers


Top
  
 
 Post subject:
PostPosted: Sun Oct 01, 2006 13:23 
Offline
Regular User
Regular User

Joined: Tue Jul 11, 2006 14:21
Posts: 22
Location: Sweden
Anonymous wrote:
bpa wrote:
I have built a 6.3.1 with SQLite - you could try it out. It should be just a case of untarring and starting it. All non ARM support is removed.


THANKS!!! :D

I can now connect and listen to the music as well.

Cheers


That was me, forgot to login in the excitement :D


Top
 Profile  
 
PostPosted: Sun Oct 22, 2006 15:16 
Offline
First timer
First timer

Joined: Sun Oct 22, 2006 14:57
Posts: 6
bpa wrote:
I have built a 6.3.1 with SQLite - you could try it out. It should be just a case of untarring and starting it. All non ARM support is removed.

http://homepage.eircom.net/~altondsl/sl ... arm.tar.gz


blader_se wrote:
Anonymous wrote:
bpa wrote:
I have built a 6.3.1 with SQLite - you could try it out. It should be just a case of untarring and starting it. All non ARM support is removed.


I have tried building the SlimServer a number of times and I keep running into issues, such as segmentation errors, out of disk space etc.

I have now tried intalling this pre-built version. When I try to run ./slimserver.pl --daemon --prefsfile /etc/slim-data/slimserver.pref --cachedir /etc/slim-data

I get ./slimserver.pl not found

permissions are set OK to execute

if i try

sh ./slimserver.pl --daemon --prefsfile /etc/slim-data/slimserver.pref --cachedir /etc/slim-data

I get

./slimserver.pl: 14: require: not found
./slimserver.pl: 15: use: not found
./slimserver.pl: 16: use: not found
./slimserver.pl: 23: package: not found
./slimserver.pl: 25: Syntax error: "(" unexpected

Would really appriciate some help

Regards

Richard


Top
 Profile  
 
PostPosted: Mon Oct 23, 2006 08:26 
rl wrote:

sh ./slimserver.pl --daemon --prefsfile /etc/slim-data/slimserver.pref --cachedir /etc/slim-data



slimerver should be run with perl, so try
Code:
perl ./slimserver.pl --daemon --prefsfile /etc/slim-data/slimserver.pref --cachedir /etc/slim-data
instead.

If this works, check that your perl is installed as stated on the first row of slimserver.pl (
Code:
which perl
reports where perl is to be found)


Top
  
 
 Post subject:
PostPosted: Mon Oct 23, 2006 11:41 
Offline
Expert
Expert

Joined: Thu Sep 21, 2006 11:48
Posts: 130
Did you install perl with ipkg ?

Check using ipkg list_installed


Top
 Profile  
 
PostPosted: Sun Oct 29, 2006 16:38 
Offline
First timer
First timer

Joined: Sun Oct 22, 2006 14:57
Posts: 6
rl wrote:
bpa wrote:
I have built a 6.3.1 with SQLite - you could try it out. It should be just a case of untarring and starting it. All non ARM support is removed.

http://homepage.eircom.net/~altondsl/sl ... arm.tar.gz


blader_se wrote:
Anonymous wrote:
bpa wrote:
I have built a 6.3.1 with SQLite - you could try it out. It should be just a case of untarring and starting it. All non ARM support is removed.


I have tried building the SlimServer a number of times and I keep running into issues, such as segmentation errors, out of disk space etc.

I have now tried intalling this pre-built version. When I try to run ./slimserver.pl --daemon --prefsfile /etc/slim-data/slimserver.pref --cachedir /etc/slim-data

I get ./slimserver.pl not found

permissions are set OK to execute

if i try

sh ./slimserver.pl --daemon --prefsfile /etc/slim-data/slimserver.pref --cachedir /etc/slim-data

I get

./slimserver.pl: 14: require: not found
./slimserver.pl: 15: use: not found
./slimserver.pl: 16: use: not found
./slimserver.pl: 23: package: not found
./slimserver.pl: 25: Syntax error: "(" unexpected

Would really appriciate some help

Regards

Richard

Quote:

I think I may have found the problem, Perl is not installed

/ # / # perl
/bin/sh: /bin/sh: perl: not found

So I tried
/ # ipkg install perl
/: Permission deniedConfiguring dropbear

/opt/sbin/dropbearkey: /lib/libc.so.6: version `GLIBC_2.3' not found (required by /opt/sbin/dropbearkey)

/ # /bin/sh: perl: not found
/opt/sbin/dropbearkey: /lib/libc.so.6: version `GLIBC_2.3' not found (required by /opt/sbin/dropbearkey)
/opt/etc/init.d/S51dropbear: 5: pidof: not found
/opt/sbin/dropbear: /lib/libc.so.6: version `GLIBC_2.3' not found (required by /opt/sbin/dropbear)
postinst script returned status 1
ERROR: dropbear.postinst returned 1
Nothing to be done
An error ocurred, return value: 4.
Collected errors:
Cannot find package perl.
/bin/sh: /bin/sh:: not found
Check the spelling or perhaps run 'ipkg update'

So it looks like I do not have Perl installed and installing it is failing.

Any further ideas on this would be appricated?

Richard



Top
 Profile  
 
 Post subject:
PostPosted: Sun Oct 29, 2006 18:02 
Offline
Expert
Expert

Joined: Thu Sep 21, 2006 11:48
Posts: 130
It looks like the install is failing because of permissions - what user were you logged in as ?

I can't remember what I used but you could you try install when logged in as root as you might be writing into /opt/bin or /opt/sbin which requires root.

What I don't understand about your log is the "dropbear" stuff - any idea where it comes from ?


Top
 Profile  
 
 Post subject:
PostPosted: Sun Oct 29, 2006 19:45 
Offline
First timer
First timer

Joined: Sun Oct 22, 2006 14:57
Posts: 6
bpa wrote:
It looks like the install is failing because of permissions - what user were you logged in as ?

I can't remember what I used but you could you try install when logged in as root as you might be writing into /opt/bin or /opt/sbin which requires root.

What I don't understand about your log is the "dropbear" stuff - any idea where it comes from ?


Quote:
I am logged in as root. just tried it again.

The Dropbear stuff appears as part of the ipkg install perl

Not really a Linux person, but it looks like the ipkg install perl needs to compile something and can't because it cannot find GLIBC_2.3

Regards

Richard



Top
 Profile  
 
 Post subject:
PostPosted: Sun Oct 29, 2006 20:30 
Offline
Expert
Expert

Joined: Thu Sep 21, 2006 11:48
Posts: 130
AFAICT from the optware builds - dropbear is not part of top level perl installation

is dropbear installed on your system (use ipkg list_installed) ?

Can you install any other packages - try zip ?


Top
 Profile  
 
Display posts from previous:  Sort by  
Post new topic Reply to topic  [ 26 posts ]  Go to page 1, 2  Next

All times are UTC + 1 hour


Who is online

Users browsing this forum: No registered users and 1 guest


You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot post attachments in this forum

Search for:
Jump to:  
cron

{ ASACP_CREDITS } Powered by phpBB® Forum Software © phpBB Group